## org.apache.axis.encoding.ser
Class CalendarDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.SimpleDeserializer
                      org.apache.axis.encoding.ser.CalendarDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class CalendarDeserializer
extends SimpleDeserializer

The CalendarSerializer deserializes a dateTime. Much of the work is done in the base class.

Author:
  Sam Ruby (rubys@us.ibm.com) Modified for JAX-RPC @author Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`cacheStringDSer, cacheXMLType, context, javaType, STRING_CLASS, xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReadyFlag, defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`CalendarDeserializer(java.lang.Class javaType, QName xmlType)` The Deserializer is constructed with the xmlType and javaType

Method Summary
`java.lang.Object` `makeValue(java.lang.String source)` The simple deserializer provides most of the stuff.

Methods inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`characters, onEndElement, onStartChild, onStartElement, reset, setConstructor`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarDeserializer

    public CalendarDeserializer(java.lang.Class javaType,
                                QName xmlType)

  The Deserializer is constructed with the xmlType and javaType

Method Detail

### makeValue

    public java.lang.Object makeValue(java.lang.String source)

  The simple deserializer provides most of the stuff. We just need to override makeValue().

  Overrides:
    `makeValue` in class `SimpleDeserializer`
  Parameters:
    `source` - the serialized value to be deserialized

Copyright © 2005 Apache Web Services Project. All Rights Reserved.